For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all leads
        • GETGet a lead by ID
        • GETGet all lead sources
        • GETGet lead source by ID
        • POSTCreate Lead: Rent Manager
        • PUTUpdate Lead: Rent Manager
        • POSTCreate Applicant Note: Rent Manager
        • POSTCreate Lead Note: Rent Manager
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
Rent ManagerLeads

Get a lead by ID

GET
/v1/leads/:id
GET
/v1/leads/:id
$curl https://api.propexo.com/v1/leads/id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": {
12 "id": "clwktsp9v000008l31iv218hn",
13 "created_at": "2024-03-21T15:38:08.337Z",
14 "updated_at": "2024-03-22T10:59:45.119Z",
15 "last_seen": "2024-03-22T10:59:45.119Z",
16 "x_created_at": "2022-02-28T17:05:43.000Z",
17 "x_guestcard_id": null,
18 "x_id": "RM-987654321",
19 "x_leasing_agent_id": null,
20 "x_property_id": "PROP-123456",
21 "x_unit_id_preferred": [
22 "UNIT-123"
23 ],
24 "x_updated_at": null,
25 "x_lead_source_id": "1",
26 "address_1": "123 Main St",
27 "address_2": null,
28 "city": "Boston",
29 "country": null,
30 "custom_data": {},
31 "date_of_birth": "1985-07-15",
32 "desired_amenities": null,
33 "desired_floor_plan_id": null,
34 "desired_floor_plan_name": null,
35 "desired_lease_term_in_months": null,
36 "desired_max_rent_in_cents": 260000,
37 "desired_max_square_ft": null,
38 "desired_min_rent_in_cents": 120000,
39 "desired_min_square_ft": null,
40 "desired_num_bathrooms": 2,
41 "desired_num_bedrooms": 2,
42 "desired_unit_number": null,
43 "desired_unit_type": null,
44 "email_1": "sally.jones@example.com",
45 "email_2": null,
46 "first_name": "Sally",
47 "ils": null,
48 "last_name": "Jones",
49 "lead_source": null,
50 "leasing_agent": null,
51 "middle_name": "Gail",
52 "notes": "Interested in a 2-bedroom unit with pet-friendly policy.",
53 "number_of_occupants": null,
54 "pets": [
55 {
56 "id": "clwktsp9v000008l31iv218hn",
57 "created_at": "2024-03-21T15:38:08.337Z",
58 "updated_at": "2024-03-22T10:59:45.119Z",
59 "last_seen": "2024-03-22T10:59:45.119Z",
60 "x_id": "PET-456789",
61 "age_in_years": 3,
62 "breed": "Golden Retriever",
63 "color": "Golden",
64 "gender_raw": "Female",
65 "is_fixed": true,
66 "is_service_animal": false,
67 "name": "Bella",
68 "notes": "Very friendly and well-trained.",
69 "type": "Dog",
70 "weight_in_pounds": 65,
71 "custom_data": {}
72 }
73 ],
74 "phone_1_type": "MOBILE",
75 "phone_1": "(617) 555-1234",
76 "phone_2_type": "HOME",
77 "phone_2": "(617) 555-5678",
78 "state": "MA",
79 "status": "New Lead",
80 "target_move_in_date": "2025-01-01T00:00:00.000Z",
81 "zip": "02116",
82 "property_id": "clwi5xiix000008l6ctdgafyh",
83 "lead_source_id": "testintegration:na:1:1",
84 "unit_id_preferred": [
85 "testintegration:na:1:123"
86 ],
87 "integration_id": "clwh5u07w000508me66sfh3um",
88 "integration_vendor": "RENTMANAGER",
89 "screenings": [
90 {
91 "id": "clwktsp9v000008l31iv218hn",
92 "created_at": "2024-03-21T15:38:08.337Z",
93 "last_seen": "2024-03-22T10:59:45.119Z",
94 "x_id": "SCR-789012",
95 "status_raw": "Pending",
96 "screening_date": "2024-03-20T10:00:00.000Z"
97 }
98 ],
99 "x_unit_id": null,
100 "pet_details": null
101 }
102}
Get a lead by ID
Was this page helpful?
Previous

Get all lead sources

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
The ID of the resource.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

updated_at_gtestring or nullOptional

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_ltestring or nullOptional

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query

Response

Successful response
metaobject
resultsobject

Errors

400
Bad Request Error